# $Revision: 1.21 $, $Date: 2004/05/09 00:00:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Cflow perl module
Summary(pl):	Modu perla Cflow
Name:		perl-Cflow
Version:	1.051
Release:	4
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://net.doit.wisc.edu/~plonka/Cflow/Cflow-%{version}.tar.gz
# Source0-md5:	1c4d7034ccc361bf3fe1a8ac58de638b
Patch0:		%{name}-link.patch
URL:		http://net.doit.wisc.edu/~plonka/Cflow/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	flow-tools-devel >= 0.67-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cflow is a perl module providing an API for reading and analyzing raw
flow files written by freely-available software packages such as
CAIDA's cflowd, OSU flow-tools and lfapd which collect IP flow export
information from routers.

%description -l pl
Cflow to modu perla udostpniajcy API do czytania i analizy surowych
plikw przepyww, zapisanych przez takie wolnodostpne programy, jak
cflowd CAIDA, flow-tools OSU i lfapd, zbierajcych dane o przepywie
pakietw IP z ruterw.

%prep
%setup -q -n Cflow-%{version}
%patch0 -p1

%{__perl} -pi -e 's#\.\./\.\./lib/#%{_libdir}/#g' Makefile*

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/Cflow
%{perl_vendorarch}/auto/Cflow/autosplit.ix
%{perl_vendorarch}/auto/Cflow/Cflow.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Cflow/Cflow.so
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Cflow.spec,v $
Revision 1.21  2004/05/09 00:00:20  qboosh
- added link patch, use shared flow-tools lib (fixes build on amd64)
- .so perms, release 4

Revision 1.20  2004/05/06 18:09:20  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/25 21:10:14  ankry
- added tests

Revision 1.18  2004/04/18 16:56:33  ankry
- license fixes and unification

Revision 1.17  2003/09/24 21:42:32  arekm
- enable flow-tools support

Revision 1.16  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.15  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.11  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.10  2003/02/25 00:37:36  radek
- use the __perl macro

Revision 1.9  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.8  2002/07/11 07:57:27  depesz
- new version; should work; STBR

Revision 1.7  2002/03/03 22:03:38  marcus
- rel.2.

Revision 1.6  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/10 15:24:23  depesz
adapterized

Revision 1.4  2002/01/28 05:08:38  kloczek
- updated to 1.045 (bugfix release).

Revision 1.3  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/27 20:13:56  kloczek
- cosmetics.

Revision 1.1  2001/10/26 22:49:22  misiek
- initial pld release
